Skip to main content
GET
/
express
/
check-eligibility
Check express verification eligibility
curl --request GET \
  --url https://api.jup.ag/tokens/v2/verify/express/check-eligibility \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.jup.ag/tokens/v2/verify/express/check-eligibility"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.jup.ag/tokens/v2/verify/express/check-eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tokenExists": true,
  "isVerified": false,
  "canVerify": true,
  "canMetadata": false,
  "metadataError": "A premium metadata update request for this token already exists"
}
{
"status": 123,
"message": "<string>",
"error": "<string>"
}
{
"status": 123,
"message": "<string>",
"error": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

tokenId
string
required

Token mint address to check eligibility for

Response

Eligibility check result

tokenExists
boolean
required

Whether the token exists on-chain

isVerified
boolean
required

Whether the token is already verified

canVerify
boolean
required

Whether a verification request can be submitted

canMetadata
boolean
required

Whether a metadata update can be submitted

verificationError
string

Reason verification is not allowed (only present when there is a specific error)

metadataError
string

Reason metadata update is not allowed (only present when there is a specific error)